package v2contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type V2ContractListbybizidRequest struct {
	// <ext>core:true;format:string;deprecated:false</ext>  【第三方业务系统文件id】第三方业务系统文件id  【作用】  业务系统中唯一的文件id，用来查询所关联的所有电子签约文件，以列表形式返回
	BizId string `json:"bizId"`
	// <ext>core:true;format:string;deprecated:false</ext>  【查询开始位置】查询开始位置  【作用】  指定从哪条数据开始查询  【传参】  最小值：0（包含），最大值：无限制；不传值默认为：0。
	SelectOffset *int64 `json:"selectOffset,omitempty"`
	// <ext>core:true;format:string;deprecated:false</ext>  【查询限制条数】查询限制条数  【作用】  限制本次查询的最大条数  【传参】  最小值：0（包含），最大值：无限制；不传值默认为：100。
	SelectLimit *int64 `json:"selectLimit,omitempty"`
}

func (obj V2ContractListbybizidRequest) GetUrl() string {
	return "/v2/contract/listbybizid"
}

func (obj V2ContractListbybizidRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
